Bug 241905 - Syntax error in purple-remote - pidgin-2.0.1-1.fc6 - libpurple-2.0.1-1.fc6 and pidgin-2.0.1-1.fc7 - libpurple-2.0.1-1.fc7
Summary: Syntax error in purple-remote - pidgin-2.0.1-1.fc6 - libpurple-2.0.1-1.fc6 an...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gaim (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Warren Togami
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-31 16:05 UTC by Otto Rey
Modified: 2007-11-30 22:12 UTC (History)
7 users (show)

Fixed In Version: 2.0.2-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-26 15:13:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Otto Rey 2007-05-31 16:05:44 UTC
Description of problem:
The script purple-remote have a syntax error.

Version-Release number of selected component (if applicable):
pidgin-2.0.1-1.fc6

How reproducible:
Always

Steps to Reproduce:
1. open terminal, run purple-remote
2.
3.
  
Actual results:
  File "/usr/bin/purple-remote", line 97
    if protocol == "xmpp"
                        ^
SyntaxError: invalid syntax


Expected results:
Run witout errors

Additional info:

Adding : at the end of line 97 fix the problem
    if protocol == "xmpp":

Comment 1 Otto Rey 2007-06-02 21:05:43 UTC
Same thing in Fedora 7 (pidgin-2.0.1-1.fc7 and libpurple-2.0.1-1.fc7)

Comment 2 Mark Doliner 2007-06-04 05:52:48 UTC
This was fixed in upstream libpurple in revision
211671c8fe491b3dad82b2990c1ffc8e20de8ec4 on 2007-05-26  at 16:05:47

Comment 3 Fedora Update System 2007-06-14 15:45:23 UTC
pidgin-2.0.1-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Patrick C. F. Ernzer 2007-06-25 18:29:12 UTC
as 2.0.1-1.fc6 is also affected, can we please push this fix into FC6 as well?


Note You need to log in before you can comment on or make changes to this bug.